Add JPD

Add a new JPD to Mission Control.

Prerequisites:

Before adding a JPD, you must generate a pairing token on the target JPD.

Steps to add a JPD:

  1. On the target JPD (the JPD you want to register), create a pairing token:

    POST https://{target-jpd-url}/access/api/v1/service_trust/pairing/mission-control

    See Create Pairing Token for details.

  2. Use the returned pairing_token in the token field of this request.

  3. Mission Control will validate the pairing token by connecting to the target JPD.

Note: The token field accepts either a pairing token (JWT) or a join key.

Security: Requires admin privileges.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

JPD name

string
required

JPD URL (e.g., https://example.jfrog.io)

location
object
required

Geographic location of the JPD

string

Pairing token (JWT) or join key for authentication.

To obtain a pairing token, call the Create Pairing Token API on the target JPD: POST /access/api/v1/service_trust/pairing/mission-control

See Create Pairing Token for details.

string

Username for basic authentication (alternative to token, for legacy services only)

string

Password for basic authentication (alternative to token, for legacy services only)

tags
array of strings

Tags for categorizing the JPD

tags
Responses

400

Bad Request - Invalid input

401

Bad Credentials - Invalid credentials

403

Permission Denied - Insufficient permissions

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json